import "../../../../../../node_modules/element-plus/es/index.mjs";
/* empty css                                                                */
/* empty css                                                                        */
import { createElementBlock, openBlock, Fragment, createVNode, withCtx } from "vue";
import ConditionConfigButton from "../../../../components/ConditionConfigButton.vue2.mjs";
import { ElFormItem } from "../../../../../../node_modules/element-plus/es/components/form/index.mjs";
const _sfc_main = {
  __name: "Advanced",
  props: {
    formData: Object
  },
  setup(__props) {
    const props = __props;
    function handleSkip(data) {
      props.formData.skipCondition = data;
    }
    function handleBlock(data) {
      props.formData.blockCondition = data;
    }
    return (_ctx, _cache) => {
      const _component_el_form_item = ElFormItem;
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(_component_el_form_item, { label: "跳过条件" }, {
          default: withCtx(() => [
            createVNode(ConditionConfigButton, {
              width: "225px",
              condition: __props.formData.skipCondition,
              description: "当条件达成时，会跳过当前动作并继续执行后续动作。",
              onConfirm: handleSkip
            }, null, 8, ["condition"])
          ]),
          _: 1
        }),
        createVNode(_component_el_form_item, { label: "阻断条件" }, {
          default: withCtx(() => [
            createVNode(ConditionConfigButton, {
              width: "225px",
              condition: __props.formData.blockCondition,
              description: "当条件达成时，会阻止后续动作的执行。",
              onConfirm: handleBlock
            }, null, 8, ["condition"])
          ]),
          _: 1
        })
      ], 64);
    };
  }
};
export {
  _sfc_main as default
};
